## SYNOPSIS

           autom4te [OPTION] ... [FILES]

## DESCRIPTION

           Run  GNU  M4  on the FILES, avoiding useless runs.  Output
           the traces if tracing, the frozen file if freezing, other
           wise the expansion of the FILES.

           If some of the FILES are named `FILE.m4f' they are consid
           ered to be M4 frozen  files  of  all  the  previous  files
           (which  are  therefore  not loaded).  If `FILE.m4f' is not
           found, then `FILE.m4' will be used, together with all  the
           previous files.

           Some  files  may be optional, i.e., will only be processed
           if found in the include path, but then must end in `.m4?';
           the question mark is not part of the actual file name.

       Operation modes:
           -h, --help
                  print this help, then exit

           -V, --version
                  print version number, then exit

           -v, --verbose
                  verbosely report processing

           -d, --debug
                  don't remove temporary files

           -o, --output=FILE
                  save output in FILE (defaults to `-', stdout)

           -f, --force
                  don't rely on cached values

           -W, --warnings=CATEGORY
                  report the warnings falling in CATEGORY

           -l, --language=LANG
                  specify the set of M4 macros to use

           -C, --cache=DIRECTORY
                  preserve results for future runs in DIRECTORY

           --no-cache
                  disable the cache

           -m, --mode=OCTAL
                  change the non trace output file mode (0666)

       Warning categories include:
           `cross'
                  cross compilation issues

           `obsolete'
                  obsolete constructs

           `syntax'
                  dubious syntactic constructs

           `all'  all the warnings

           `no-CATEGORY'
                  turn off the warnings on CATEGORY

           `none' turn off all the warnings

           `error'
                  warnings are error

           The environment variable `WARNINGS' is honored.

       Library directories:
           -B, --prepend-include=DIR
                  prepend directory DIR to search path

           -I, --include=DIR
                  append directory DIR to search path

       Tracing:
           -t, --trace=MACRO
                  report the MACRO invocations

           -p, --preselect=MACRO
                  prepare to trace MACRO in a future run

       Freezing:
           -F, --freeze
                  produce an M4 frozen state file for FILES

## AUTHOR

           Written by Akim Demaille.

           Copyright  2002  Free  Software  Foundation, Inc.  This is
           free software; see  the  source  for  copying  conditions.
           There is NO warranty; not even for MERCHANTABILITY or FIT
           NESS FOR A PARTICULAR PURPOSE.

## REPORTING BUGS

           Report bugs to <bug-autoconf@gnu.org>.

    autom4te 2.57             December 2002               AUTOM4TE(1)